# calckey

![Version: 0.1.2](https://img.shields.io/badge/Version-0.1.2-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: rc](https://img.shields.io/badge/AppVersion-rc-informational?style=flat-square)

A fun, new, open way to experience social media https://calckey.org

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://raw.githubusercontent.com/bitnami/charts/archive-full-index/bitnami | elasticsearch | 19.0.1 |
| https://raw.githubusercontent.com/bitnami/charts/archive-full-index/bitnami | postgresql | 11.1.3 |
| https://raw.githubusercontent.com/bitnami/charts/archive-full-index/bitnami | redis | 16.13.2 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| calckey.allowedPrivateNetworks | list | `[]` | If you want to allow calckey to connect to private ips, enter the cidrs here. |
| calckey.deepl.authKey | string | `""` |  |
| calckey.deepl.isPro | bool | `false` |  |
| calckey.deepl.managed | bool | `false` |  |
| calckey.domain | string | `"calckey.local"` |  |
| calckey.isManagedHosting | bool | `true` |  |
| calckey.libreTranslate.apiKey | string | `""` |  |
| calckey.libreTranslate.apiUrl | string | `""` |  |
| calckey.libreTranslate.managed | bool | `false` |  |
| calckey.objectStorage.access_key | string | `""` |  |
| calckey.objectStorage.access_secret | string | `""` |  |
| calckey.objectStorage.baseUrl | string | `""` |  |
| calckey.objectStorage.bucket | string | `""` |  |
| calckey.objectStorage.endpoint | string | `""` |  |
| calckey.objectStorage.managed | bool | `true` |  |
| calckey.objectStorage.prefix | string | `"files"` |  |
| calckey.objectStorage.region | string | `""` |  |
| calckey.reservedUsernames[0] | string | `"root"` |  |
| calckey.reservedUsernames[1] | string | `"admin"` |  |
| calckey.reservedUsernames[2] | string | `"administrator"` |  |
| calckey.reservedUsernames[3] | string | `"me"` |  |
| calckey.reservedUsernames[4] | string | `"system"` |  |
| calckey.smtp.from_address | string | `"notifications@example.com"` |  |
| calckey.smtp.login | string | `""` |  |
| calckey.smtp.managed | bool | `true` |  |
| calckey.smtp.password | string | `""` |  |
| calckey.smtp.port | int | `587` |  |
| calckey.smtp.server | string | `"smtp.mailgun.org"` |  |
| calckey.smtp.useImplicitSslTls | bool | `false` |  |
| elasticsearch | object | `{"auth":{},"enabled":false,"hostname":"","port":9200,"ssl":false}` | https://github.com/bitnami/charts/tree/master/bitnami/elasticsearch#parameters |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"docker.io/thatonecalculator/calckey"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| postgresql.auth.database | string | `"calckey_production"` |  |
| postgresql.auth.password | string | `""` |  |
| postgresql.auth.username | string | `"calckey"` |  |
| postgresql.enabled | bool | `true` | disable if you want to use an existing db; in which case the values below must match those of that external postgres instance |
| redis.auth.password | string | `""` | you must set a password; the password generated by the redis chart will be rotated on each upgrade: |
| redis.enabled | bool | `true` |  |
| redis.hostname | string | `""` |  |
| redis.port | int | `6379` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
